From 97217bfa31e70e745b9c12f8792072e73d1a99c5 Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Tue, 19 Jan 2021 12:54:39 +0000
Subject: [PATCH 7/7] gnu: aws-sdk-cpp: Update to 1.8.159.

* gnu/packages/cpp.scm (aws-sdk-cpp): Update to 1.8.159.
[arguments]: Build as shared library
---
 gnu/packages/cpp.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index ce9c9502ef..02a82091b8 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -813,7 +813,7 @@ of C++14 components that complements @code{std} and Boost.")
 (define-public aws-sdk-cpp
   (package
     (name "aws-sdk-cpp")
-    (version "1.8.102")
+    (version "1.8.159")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -822,13 +822,13 @@ of C++14 components that complements @code{std} and Boost.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1w8x2vakg5ngjyyg08n4g3dqy8wqnz0k3gkrlqrh460s2pvdivba"))))
+                "0jpfv9x82nq7hcix9in7qgrc8009dwpg6gr96hlgmcvqrqckd2r9"))))
     (build-system cmake-build-system)
     (arguments
      '(;; Tests are run during the build phase.
        #:tests? #f
        #:configure-flags
-       '("-DBUILD_SHARED_LIBS=OFF"
+       '("-DBUILD_SHARED_LIBS=ON"
          "-DBUILD_DEPS=OFF")))
     (propagated-inputs
      `(("aws-c-common" ,aws-c-common)
-- 
2.30.2

